package ru.micord.ervu.account_applications.service;

import org.springframework.stereotype.Service;
import ru.micord.ervu.account_applications.dao.RecruitmentDao;

/**
 * @author gulnaz
 */
@Service
public class RecruitmentService {

  private final RecruitmentDao recruitmentDao;

  public RecruitmentService(RecruitmentDao recruitmentDao) {
    this.recruitmentDao = recruitmentDao;
  }

  public boolean exists(Long appNumber, String domainId, boolean checkParents) {
    return recruitmentDao.exists(appNumber, domainId, checkParents);
  }
}
